BabelMap Help : Overview

BabelMap Help

Description

BabelMap is a Windows Character Map utility that enables the user to select and copy any Unicode character.

BabelMap is designed to run under the following Windows operating systems :

  • Windows 95
  • Windows 98
  • Windows ME
  • Windows NT 4.0
  • Windows 2000
  • Windows XP

There are some minor differences between the build of BabelMap that runs under Windows 95/98/ME and the build of BabelMap that runs under Windows NT4/2000/XP. These differences are noted in the appropriate pages of the Help system.

Note : If your computer has an 800 x 600 screen resolution you may wish to run BabelMap using small-sized dialogue boxes. See Options for details of how to resize BabelMap.

Help Topics

General

  • Shortcuts

The Unicode Grid

  • Navigating the Unicode Grid
  • Selecting a Unicode Block
  • Search for a Unicode Character by Name
  • Go to a Unicode Codepoint
  • Magnifying a Character
  • Changing Font

The Edit Buffer

  • Inserting a Character into the Edit Buffer
  • Selecting Display Mode
  • Copying the Edit Buffer to the Clipboard
  • Saving the Edit Buffer to File
  • Clearing the Edit Buffer

Tools and Utilities

  • Character Properties Utility
  • CJK Radical Lookup Utility
  • CJK Pinyin Lookup Utility
  • Yi Radical Lookup Utility
  • Unicode Summary Utility
  • Font Analysis Utility

System Menu

  • Opening the Help System
  • Opening the Unicode Summary Utility
  • Opening the Font Analysis Utility
  • Setting BabelMap Options
  • Displaying the About Box
  • Closing BabelMap

Issue 1.8b (1st January 2004).


BabelMap Help : Shortcuts

Shortcuts

Function Keys

The following function keys are available :

  • F1 – Open the Help System
  • F2 – Go to a Unicode Point
  • F3 – Search for a Unicode Character by Name (Shift+F3 for reverse search)
  • F4 – Copy the Edit Buffer to the Clipboard
  • F5 – Save the Edit Buffer to File
  • F6 – Open the Unicode Summary Utility
  • F7 – Open the Font Analysis Utility
  • F8 – Set BabelMap Options
  • F9 – Display the About dialogue box
  • F11 – Open the CJK Radical Lookup Utility
  • Shift-F11 – Open the Yi Radical Lookup Utility
  • F12 – Open the CJK Pinyin Lookup Utility

Navigation Keys

The following keys are available to facilitate navigation of the Unicode Grid :

  • Home – Go to the first character currently displayed in the Unicode Grid
  • End – Go to the last character currently displayed in the Unicode Grid
  • Shift+Home – Go to the first character in the current Unicode block
  • Shift+End – Go to the last character in the current Unicode block
  • Ctrl+Home – Go to the first Unicode character in Plane 0
  • Ctrl+End – Go to the last Unicode character in Plane 14
  • Page Up – Scroll up one screen
  • Page Down – Scroll down one screen
  • Ctrl+Page Up – Go to the previous Unicode block
  • Ctrl+Page Down – Go to the next Unicode block
  • Ctrl+Shift+Page Up – Go to the previous Unicode plane
  • Ctrl+Shift+Page Down – Go to the next Unicode plane
  • Up Arrow – Scroll up one row
  • Down Arrow – Scroll down one row
  • Left Arrow – Go to the previous Unicode character
  • Right Arrow – Go to the next Unicode character

Enter Key

If the focus is on the Unicode Grid, pressing the Enter key will insert the currently selected Unicode character (the character which is described in the edit box underneath the Unicode Grid) into the Edit Buffer.

If the focus is on the Goto edit box, pressing the Enter key is equivalent to pressing the "Go" button.

If the focus is on the Search edit box, pressing the Enter key is equivalent to pressing the "Search" button.

Home


BabelMap Help : Navigating the Unicode Grid

Navigating the Unicode Grid

Using the Browse Buttons

The following buttons, located to the right of the Unicode Grid, may also be used to browse through the Unicode Grid :

  •  <<<  – Go to the previous Unicode plane
  •  >>>  – Go to the next Unicode plane
  •  <<  – Go to the previous Unicode block
  •  >>  – Go to the next Unicode block
  •  <  – Go to the previous page of 128 characters (8 rows)
  •  >  – Go to the next page of 128 characters (8 rows)
  •  <=  – Go to the previous radical (CJK, CJK-A and CJK-B ranges only)
  •  =>  – Go to the next radical (CJK, CJK-A and CJK-B ranges only)

Using the Keyboard

The Left and Right arrow keys may be used to move to adjacent character in the Unicode Grid :

  • Left Arrow – Go to the previous character in the Unicode Grid
  • Right Arrow – Go to the next character in the Unicode Grid

The Home and End keys may be used to go to specific characters in the Unicode Grid :

  • Home – Go to the first character currently displayed in the Unicode Grid
  • End – Go to the last character currently displayed in the Unicode Grid
  • Shift+Home – Go to the first character in the current Unicode block
  • Shift+End – Go to the last character in the current Unicode block
  • Ctrl+Home – Go to the first Unicode character in Plane 0
  • Ctrl+End – Go to the last Unicode character in Plane 14

The Up/Down arrow and Page Up/Down keys may be used to scroll up and down the Unicode Grid :

  • Up Arrow – Scroll up one row
  • Down Arrow – Scroll down one row
  • Page Up – Scroll up one page
  • Page Down – Scroll down one page
  • Ctrl+Page Up – Scroll to the previous Unicode block
  • Ctrl+Page Down – Scroll to the next Unicode block
  • Ctrl+Shift+Page Up – Scroll to the previous Unicode plane
  • Ctrl+Shift+Page Down – Scroll to the next Unicode plane

Using the Mouse Wheel

If your mouse has a wheel, you may scroll up and down the Unicode Grid thus :

  • Wheel – Scroll up/down one row at a time
  • Shift+Wheel – Scroll up/down one page at a time
  • Ctrl+Wheel – Scroll up/down one Unicode block at a time
  • Shift+Ctrl+Wheel – Scroll up/down one Unicode plane at a time


BabelMap Help : Selecting a Unicode Block

Selecting a Unicode Block

In order to go to a specific Unicode block, simply select the name of the desired Unicode block from the dropdown list labelled "Select Unicode Block". The Unicode blocks are listed in alphabetical order.

By default BabelMap lists all blocks for Unicode within Planes 0 (Basic Multilingual Plane), 1 (Supplementary Multilingual Plane), 2 (Supplementary Ideographic Plane) and 14 (Supplementary Special-purpose Plane). If you wish to additionally show the Supplementary Private Use Area-A and Supplementary Private Use Area-B ranges (Planes 15 and 16), or show fewer ranges (for example only those within the Basic Multilingual Plane), then you may configure this from the Options dialogue.


BabelMap Help : Searching for a Unicode Character by Name

Searching for a Unicode Character by Name

You may search for a specific Unicode character by typing in all or a part of its name into the edit box labelled "Search for Character", and then pressing the "Search" button.

Pressing the "Search" button or the F3 function key will search forward from the currently selected character until a character containing the search string is found. The search will wrap around to the start of Plane 0 at the end of the last configured plane, and finish when the starting character is reached again.

Pressing the Shift+F3 function key will search backward from the currently selected character until a character containing the search string is found. The search will wrap around to the end of the last configured plane at the start of Plane 0, and finish when the starting character is reached again.

Note that due to the way in which the Unicode character names are stored by BabelMap, certain key words (e.g. "letter", "symbol", "character") must be typed in full to obtain a match.

The following shortcuts must be employed to search for these code point designations :

  • # for <reserved>
  • % for <control>
  • $ for <not a character>


BabelMap Help : Going to a Unicode Codepoint

Going to a Unicode Codepoint

To go to a specific Unicode codepoint, enter the Unicode scalar value as one to six hexadecimal digits into the edit box labelled "Go to Code Point", and hit Enter or press the "Go" button or press the F2 function key.

For example :

  • Enter "5A" to go to "U+0005A : LATIN CAPITAL LETTER Z"
  • Enter "A066" to go to "U+0A066 : YI SYLLABLE BBOX"
  • Enter "E006B" to go to "U+E006B : TAG LATIN SMALL LETTER K"

If an invalid or unassigned codepoint is entered, an error box will be displayed.

If you would prefer to use decimal codepoints instead of hexadecimal codepoints, then check the "Decimal" checkbox under the "Go To Codepoints" section of the Options dialogue. You would then enter decimal codepoint values, for example :

  • Enter "90" to go to "U+0005A : LATIN CAPITAL LETTER Z"
  • Enter "41062" to go to "U+0A066 : YI SYLLABLE BBOX"
  • Enter "917611" to go to "U+E006B : TAG LATIN SMALL LETTER K"


BabelMap Help : Magnifying a Character

Magnifying a Character

To magnify any character in the Unicode Character Grid, simply right-click on the character. A pop-up image of the character at an enlarged magnification will be shown whilst the right mouse button is depressed. Once the right mouse button is released, the pop-up image will disappear. If you move the mouse around the Unicode Character Grid whilst keeping the right mouse button depressed, the pop-up window will display an enlargement of whichever character the mouse is currently over.

You may select the desired magnification, from 36 points up to 144 points, by way of the Options dialogue. 72 points magnification is used by default.


BabelMap Help : Changing Font

Changing Font

To change the font that is used to display the characters in the Unicode Character Grid and the Edit Buffer, simply select the desired font from the dropdown list at the bottom of the dialogue box.

The point size of the font used to display the contents of the Edit Buffer may also be changed by clicking on the Up and Down arrows on the spin control to the right of the Font Name dropdown list.

The font size of the Unicode Character Grid cannot be altered. For normal-sized dialogue boxes the characters in the Unicode Character Grid are displayed at 20 points, whilst for small-sized dialogue boxes the characters are displayed at 16 points.

By default BabelMap will only list fonts that internally specify that they cover one or more Unicode ranges. If the font that you wish to use is not being listed, it is probably not a Unicode font. To ensure that such a font is listed by BabelPad, uncheck the "Filter Out Non-Unicode Fonts" checkbox in the Options dialogue.


BabelMap Help : Getting Additional Information about a Character

Getting Additional Information about a Character

When you select a character from the Character Grid, the Unicode name for the character is given at the bottom of the grid. If you wish to display further information about the character, then click on the Properties button at the bottom right of the Character Grid. This will open a Properties dialogue box that will display additional information about the selected character, including Unicode Character Data properties and Unicode Code Chart annotations.

If you wish to know how a particular CJK ideograph is pronounced, then the Properties dialogue box also gives readings for the character derived from the Unihan database (presently only Mandarin pinyin readings are available).

The Properties dialogue box also lists any "Standardized Variants" for the character. These are specific glyph variants for a character that have been defined by Unicode, and which are represented by a sequence of the character followed by a Variation Selector (VS-1 through VS-256, or FS-1 through FS-3 for Mongolian letters). As of Unicode 4.0, only Mathematical Operators and Mongolian have any defined Standardized Variants (VS-1 through VS-256), and of the 256 available Variation Selectors only VS-1 [U+FE00] is currently used.


BabelMap Help : Inserting a Character into the Edit Buffer

Inserting a Character into the Edit Buffer

To insert a character into the Edit Buffer, simply click on the desired character in the Unicode Character Grid. The text in the Edit Buffer is displayed in the same font that is currently selected for the Unicode Character Grid.

When the keyboard focus is on the Unicode Grid, pressing the Enter key will insert the currently selected character into the Edit Buffer.

Any Unicode character, including control chracters such as Carriage Return and Line Feed, but excluding only "U+0000", may be inserted into the Edit Buffer.

Windows 95/98/ME Build

The Edit Buffer is a single-line, read-only buffer, and characters are appended to the end of the buffer.

Windows NT4/2000/XP Build

The Edit Buffer is a multi-line buffer which may be edited manually, and characters are inserted at the current caret position.


BabelMap Help : Selecting Display Mode

Selecting Display Mode

By default when a character in the Unicode Character Grid is selected and inserted into the Edit Buffer, it is displayed as rendered by the currently selected font.

However you may also choose to display the contents of the Edit Buffer as :

  • Hexadecimal Numeric Character References (NCR) [e.g. &#x203D;]
  • Decimal Numeric Character References (NCR) [e.g. &#8253;]
  • Universal Character Names (UCN) [e.g. \u203D]

You may change between modes by checking the appropriate radio button at the bottom of the screen..

When in ordinary Character mode, of you paste text into the Edit Buffer that is in NCR (hexadecimal or decimal) format, then the NCR entities will be automatically converted to Unicode characters.


BabelMap Help : Copying the Edit Buffer to the Clipboard

Copying the Edit Buffer to the Clipboard

To copy the contents of the Edit Buffer to the Clipboard, simply press the "Copy" button or the F4 function key.

The contents of the clipboard can then be pasted into any Unicode enabled application by selecting the application's Paste option.

Windows 95/98/ME Build

Few Unicode enabled applications are available that run under Windows 95/98/ME. Those that do exist include Microsoft Word 2000 and Microsoft Outlook Express.

Applications that do not support Unicode will not be able to paste in the text copied to the clipboard by BabelMap.

Windows NT4/2000/XP Build

Many Unicode enabled applications are available that run under Windows 2000 and Windows XP (including useful Microsoft applications such as Notepad and Word).

Applications that do not support Unicode will paste in the text copied to the clipboard by BabelMap as question marks.


BabelMap Help : Saving the Edit Buffer to File

Saving the Edit Buffer to File

To save the contents of the Edit Buffer to file, simply press the "Save" button or the F5 function key.

If the Edit Buffer is empty, BabelMap will do nothing; otherwise a File Open dialogue box will be displayed.

Encoding

To set the encoding to save the Edit Buffer to file as, select UTF-8, UTF-16 or UTF-32 from the dropdown list labelled "Encoding". UTF-8 is selected by default.

UTF-8 is an 8-bit encoding, whereby Unicode characters are saved as one, two, three or four bytes, depending upon their codepoint. Basic Latin characters are saved as one byte, but all other characters are saved as two or more bytes, with characters corresponding to higher codepoints comprising more bytes than characters corresponding to lower codepoints. Thus, Unicode text comprising a high proportion of Basic Latin characters is stored very efficiently as UTF-8, whereas Unicode text with a high proportion of CJK Unified Ideographs would be more economically stored as UTF-16.

UTF-16 is a 16-bit encoding that corresponds directly to the Basic Multilingual Plane (Plane Zero) codepoints. Characters from Planes 1-16 are stored as surrogate pairs.

UTF-32 is a 32-bit encoding that corresponds directly to the Unicode codepoints. All characters in Planes 0-16 are encoded as a single 32-bit (four byte) value. UTF-32 is highly inefficient for Unicode text that does not comprise a high proportion of characters from Planes 1-16. Even for text that consists entirely of characters from Planes 1-16, UTF-32 is no more economical than UTF-16.

You may save UTF-16 and UTF-32 text in either Big Endian or Little Endian format. You should normally check "Little Endian" for files to be used on a Windows system, and "Big Endian" for files to be used on a Unix system. By default BabelMap saves UTF-16 and UTF-32 as Little Endian.

Byte Order Mark

You may choose to save files with or without an initial Byte Order Mark (BOM) by checking or unchecking the "Byte Order Mark" checkbox. By default BabelMap adds a Byte Order Mark.

The Byte Order Mark is a non-displayable Unicode character (which should be stripped off on opening the file), that enables applications to determine the encoding and endianness of a Unicode text file.


BabelMap Help : Clearing the Edit Buffer

Clearing the Edit Buffer

To clear the contents of the Edit Buffer, simply press the "Clear" button.

Windows NT4/2000/XP Build

You may manually edit the contents of the Edit Buffer, and delete text using the Delete and Backspace keys.


BabelMap Help : Character Properties Utility

Character Properties Utility

To display the "Character Properties" dialogue box for the currently selected Unicode character, press the Properties button at the bottom right of the Unicode Grid.

The Character Properties utility displays the following information about the currently selected Unicode character :

  1. The Unicode Block that it occurs in.
  2. Its general properties as defined in UnicodeData.txt :
    • The Unicode and ISO/IEC 10646 name for the character.
    • The general category of the character.
    • The canonical combining class of the character.
    • The bidirectional class of the character.
    • The decomposition type and decomposition mapping of the character if appropriate.
    • The numeric type and nominal numeric value of the character if it represents a number.
    • Whether the character is bidirectioanlly mirrored or not.
    • The name of the character in Unicode 1.0 (before the merger of Unicode with ISO/IEC 10646) if it differs substantially from its current name.
    • Any comment given for this character in the ISO/IEC 10646 standard (an asterisk indicates a detailed comment in Annex P of the standard).
    • Simple uppercase mapping for alphabetic characters if appropriate.
    • Simple lowercase mapping for alphabetic characters if appropriate.
    • Simple titlecase mapping for alphabetic characters if appropriate.
  3. How the character is encoded as :
    • UTF-8 (between one and four bytes per character).
    • UTF-16 (two bytes for Basic Multilingual Plane [Plane 0] characters, and four bytes for characters in Planes 1-16).
    • UTF-32 (four bytes for all characters).
  4. Annotations for this character as given in the Unicode code charts :
    • General Notes (indicated by an asterisk *).
    • Cross References to other characters with related meanings (indicated by an x).
    • Aliases, that is other names by which the character is known (indicated by an equals sign =).
  5. Standardized Variants for characters that have variant glyph forms defined by means of Variation Selectors.
  6. Chinese/Japanese/Korean (CJK) ideograph data for CJK ideographs :
    • Mandarin pronunciation of the character in "pinyin" spelling (available for 20,247 basic CJK ideographs, 5,037 CJK-A ideographs, 241 CJK-B ideographs and 22 CJK Compatability ideographs).
    • Korean pronunciation of the character in "Yale" transliteration (available for 8,760 basic CJK ideographs and 288 CJK Compatability ideographs).
    • Vietnamese pronunciation of the character (available for 164 basic CJK ideographs, 122 CJK-A ideographs and 4,230 CJK-B ideographs).
  7. Which version of Unicode from Version 1.1 onwards that the character was first introduced in.


BabelMap Help : CJK Radical Lookup Utility

CJK Radical Lookup Utility

To open the CJK Radical Lookup Utility, press the button with an icon of the ideograph "bu" [image]. Alternatively, press the F11 function key.

CJK Radical Lookup Dialogue Box

Radicals

Select the required radical from the table of 237 radicals at top of the dialogue box. These are the 214 radicals used in the Kangxi Zidian (Dictionary of Chinese Ideographs compiled under the auspices of the Kangxi Emperor in 1716), together with 23 simplified forms.

The currently selected radical will be shown in a pressed state.

Additional Strokes

Enter the number of additional strokes for the ideograph to be found in the edit box, or press the up/down arrows next to the edit box to increment/decrement the stroke count. Remember that the stroke count excludes the number of strokes in the radical. The edit box will allow you to enter any number between "0" and "99", but the maximum number of additional strokes for any ideograph in Unicode is 62 (U+2053B).

Stroke counts can be subjective, and a given ideograph may be indexed with a stroke count that is slightly higher or lower than a particular user expects. To use a fuzzy stroke count, check the "Plus or Minus 1 Stroke" checkbox. If you do so BabelMap will search for all ideographs with the given stroke count +/- one stroke.

To list all ideographs that are indexed under a given radical, check the "All Strokes" checkbox.

Search Within

The CJK Radical Lookup Utility looks for ideographs within the "CJK Unified Ideographs", "CJK Unified Ideographs Extension A" and "CJK Unified Ideographs Extension B" ranges. It also includes the twelve unified ideographs included with the "CJK Compatability" range. Other compatability ideographs are deliberately excluded.

You may check or uncheck each of the CJK ranges, to limit the search to a given set of Unicode ranges. By default all ranges are included within the search.

Search Results

All ideographs that meet the current search criteria (radical, additional strokes, Unicode ranges) are displayed at the bottom left of the dialogue box. If more than 15 ideographs are found, then you may use the scroll bar to view all the matching ideographs. If you hover the cursor over one of the ideographs in the search results, its Unicode codepoint will be displayed.

Every time one of the search criteria is changed, then a new search is carried out, and a new set of search results are displayed.

To select a given search result, simply click on the ideograph, and it will be appended to the edit buffer.

Edit Buffer

All selected ideographs are stored in the Edit Buffer at the bottom right of the dialogue box.

You may copy the contents of the edit buffer to the clipboard by pressing the "Copy" button, or insert the contents of the edit buffer into the BabelMap edit buffer by pressing the "Insert" button. Pressing the "Insert" button will also close the CJK Radical Lookup Utility.

To clear the contents of the edit buffer, press the "Clear" button.

Sources

The CJK Radical and Stroke database used by BabelMap is derived from the kRSUnicode key of the Unihan database for Unicode 4.0.1. This key is given for every single unified ideograph in Unicode, and so consequently, the BabelMap CJK Radical Lookup Utility covers all CJK unified ideographs in Unicode 4.0, a total of 70,207 ideographs.

A very few errors have been corrected, but in general no attempt has been made to verify the accuracy of the Unihan data used.

The only major departure from the Unihan database is to provide two Radical/Stroke index entries for those (several hundred) ideographs that have a kRSUnicode radical that is different from the radical group within which it is found in its Unicode range. Thus for U+4E3D which is physically within the Radical 3 section of the CJK Unified Ideographs range, but has a kRSUnicode index of "1.6", this ideograph is indexed as both "1.6" and "3.6" within the BabelMap CJK Radical Lookup Utility. The only exception to this double indexing are the very few ideographs which appear to have been misplaced within the wrong radical section of their Unicode range (e.g. U+37B7 and U+2A57F).


BabelMap Help : CJK Pinyin Lookup Utility

CJK Pinyin Lookup Utility

To open the CJK Pinyin Lookup Utility, press the button with an icon of the ideograph "yin" [image]. Alternatively, press the F12 function key.

CJK Pinyin Lookup Dialogue Box

Select Pinyin Syllable

Type in or select the required pinyin syllable from the dropdown list, and check the required tone. Then press the "Find" button to search for all ideographs that match the selected pinyin syllable and tone.

Note that the pinyin syllables "lü", "lüw", "nü" and "nüe" are represented as "LYU", "LYUE", "NYU" and "NYUE" respectively in the list.

If you check the "All Tones" checkbox, any ideograph that has readings with the same syllable but in different tones, the ideograph will be listed once for each tone in the Search Results. However, note that all CJK-B ideographs will be listed separately at the end of the results list.

Search Results

All ideographs that meet the current search criteria (syllable and tone) are displayed at the bottom left of the dialogue box. If more than 16 ideographs are found, then you may use the scroll bar to view all the matching ideographs. If you hover the cursor over one of the ideographs in the search results, its Unicode codepoint will be displayed.

To select a given search result, simply click on the ideograph, and it will be appended to the edit buffer.

Edit Buffer

All selected ideographs are stored in the Edit Buffer at the bottom right of the dialogue box.

You may copy the contents of the edit buffer to the clipboard by pressing the "Copy" button, or insert the contents of the edit buffer into the BabelMap edit buffer by pressing the "Insert" button. Pressing the "Insert" button will also close the CJK Pinyin Lookup Utility.

To clear the contents of the edit buffer, press the "Clear" button.

Sources

The CJK Pinyin database used by BabelMap is derived from the kMandarin key of the Unihan database for Unicode 4.0.1. Only 42 CJK-B characters in the Unihan database have so far been assigned Mandarin readings. In addition to these 42 characters, the readings for a further 188 CJK-B characters have been added to the BabelMap pinyin database. All but one of these additional CJK-B readings are for ideographs in the Kangxi Dictionary under Radicals 1 through 13 (excluding most of Radical 9). A total of 25,536 ideographs are indexed in the BabelMap CJK Pinyin Lookup database (with a combined total of 34,215 readings).

A very few errors have been corrected, but in general no attempt has been made to verify the accuracy of the Unihan data used.


BabelMap Help : Yi Radical Lookup Utility

Yi Radical Lookup Utility

To open the Yi Radical Lookup Utility, press the button with an icon of the Yi syllable "nuo" [image]. Alternatively, press the Shift-F11 function key.

Yi Radical Lookup Dialogue Box

Radicals

Select the required radical from the table of 55 radicals at top of the dialogue box.

The Yi syllables are actually indexed under twenty-six radicals, but some radicals have two, three, four or even five forms, making a total of fifty-five forms for the twenty-six radicals. Pressing any variant form of the same radical will produce identical search results. Thus, for example, the second and third radical buttons ("Li" and "Kit" respectively) are variant forms of the second Yi radical, and pressing either button will have the same effect.

The currently selected radical will be shown in a pressed state.

Additional Strokes

Enter the number of additional strokes for the syllable to be found in the edit box, or press the up/down arrows next to the edit box to increment/decrement the stroke count. Remember that the stroke count excludes the number of strokes in the radical. The edit box will allow you to enter any number between "0" and "9", but the maximum number of additional strokes for any Yi syllable is 6.

To use a fuzzy stroke count, check the "+/- 1 Stroke" checkbox. If you do so BabelMap will search for all syllables with the given stroke count +/- one stroke.

To list all syllables that are indexed under a given radical, check the "All Strokes" checkbox.

Search Results

All syllables that meet the current search criteria (radical and additional strokes) are displayed in the middle of the dialogue box. If more than 14 syllables are found, then you may use the scroll bar to view all the matching syllables. If you hover the cursor over one of the syllables in the search results, its pronunciation in the Yi Phonetic Alphabet will be displayed.

Note that Yi syllables with the Secondary High Tone diacritic (i.e. corresponding to an "-x" final when written using the Yi Phonetic Alphabet) are listed together with the corresponding syllable without a diacritic mark. That is to say the diacritic mark is not included in the stroke count. For example, the Yi syllables for bbox and bbo are both indexed under the radical "qot" (Radical 1) plus four strokes.

Every time one of the search criteria is changed, then a new search is carried out, and a new set of search results are displayed.

To select a given search result, simply click on the syllable, and it will be appended to the edit buffer.

Edit Buffer

All selected syllables are stored in the Edit Buffer at the bottom of the dialogue box.

You may copy the contents of the edit buffer to the clipboard by pressing the "Copy" button, or insert the contents of the edit buffer into the BabelMap edit buffer by pressing the "Insert" button. Pressing the "Insert" button will also close the Yi Radical Lookup Utility.

To clear the contents of the edit buffer, press the "Clear" button.

Sources

The Yi Radical/Stroke database used by BabelMap is derived from Yiwen Jianzi Ben [nuo su bbur ma shep jie zzit] (Chengdu : Sichuan Minzu Chubanshe, 1984).


BabelMap Help : Unicode Summary Utility

Unicode Summary Utility

To open the "Unicode Summary" utility, select the "Unicode Summary..." menu item from the System Menu or press the F6 function key.

The System Menu may be opened by clicking on the BabelMap icon on the Title Bar, or by right-clicking anywhere on the Title Bar.

The Unicode Summary Utility provides basic statistical information about the current version of Unicode.

The top section lists the total number of Unicode codepoints that have been assigned, as well as the total number of allocated Private Use codepoints.

The middle section gives the number of characters that are available in each of the currently used Unicode planes.

The bottom section gives basic information about each Unicode block, including its hexadecimal codepoint range and the number of assigned characters in the block. This information may be sorted by Block Name, Plane Number, Hexadecimal range or Number of Characters by clicking on the appropriate heading. This information may also be copied to the clipboard in Comma Separated Value (CSV) format by clicking on the "Copy" button. Once copied, the information may be pasted into another application, or manipulated as a spreadsheet.


BabelMap Help : Font Analysis Utility

Font Analysis Utility

To open the "Font Analysis" utility, select the "Font Analysis..." menu item from the System Menu or press the F7 function key.

The System Menu may be opened by clicking on the BabelMap icon on the Title Bar, or by right-clicking anywhere on the Title Bar.

The Font Analysis Utility allows you to determine which fonts support which Unicode blocks, and to preview sample text for a given Unicode block as rendered by different fonts.

The left part of the Font Analysis window allows you to select a particular font, and see how many blocks/characters the font supports in total, as well as a breakdown of block coverage. Clicking on a supported Unicode block in the list allows you to view sample characters from that block as rendered by that particular font. This information may be copied to the clipboard by clicking on the "Copy" button next to "List all Unicode Blocks Covered by this Font".

The right part of the Font Analysis window allows you to select a particular Unicode block, and see which fonts support it (i.e. have glyphs for one or more characters in the block). Clicking on a font in the list allows you to view sample characters from that block as rendered by that particular font. This information may be copied to the clipboard by clicking on the "Copy" button next to "List all Fonts that Cover this Unicode Block".


BabelMap Help : Opening the Help System

Opening the Help System

To open the Help System, select the "Help..." menu item from the System Menu or press the F1 function key.

The System Menu may be opened by clicking on the BabelMap icon on the Title Bar, or by right-clicking anywhere on the Title Bar.


BabelMap Help : Setting BabelMap Options

Setting BabelMap Options

To bring up the Options dialogue box,, select the "Options..." menu item from the System Menu or press the F8 function key.

The System Menu may be opened by clicking on the BabelMap icon on the Title Bar, or by right-clicking anywhere on the Title Bar.

Options Dialogue Box

Dialogue Boxes

You may choose whether to use normal-sized dialogue boxes or small-sized dialogue boxes by checking the "Normal Size" or "Small Size" radio checkbox respectively.

If you select "Normal Size", the main BabelMap dialogue box and the CJK/Yi lookup dialogue boxes are displayed with 24 x 24 sized character grid cells, and the characters are drawn with a 20 point font.

If you select "Small Size", the main BabelMap dialogue box and the CJK/Yi lookup dialogue boxes are displayed with 20 x 20 sized character grid cells, and the characters are drawn with a 16 point font. Some components of the dialogue boxes may also be somewhat compacted, and long text labels may be abbreviated. This size of dialogue boxes is particularly suitable for PCs with an 800 x 600 screen resolution.

Font Options

Check the "Filter Out Non Unicode Fonts" checkbox to ensure that BabelMap only displays those fonts that have glyphs mapped to one or more Unicode ranges. This is the default behaviour.

Uncheck the "Filter Out Non Unicode Fonts" checkbox to ensure that BabelMap displays all fonts, both Unicode and non-Unicode. You may want to do this if you want to see what glyphs a non-Unicode font has (for example a Tibetan font that uses a proprietary 8-bit encoding instead of Unicode).

Unicode Range Options

By default BabelMap lists all blocks for Unicode within Planes 0 (Basic Multilingual Plane), 1 (Supplementary Multilingual Plane), 2 (Supplementary Ideographic Plane) and 14 (Supplementary Special-purpose Plane). If you wish to additionally show the Supplementary Private Use Area-A plane (Plane 15) and/or the Supplementary Private Use Area-B plane (Plane 16), or show fewer ranges (for example only those within the Basic Multilingual Plane), then you may configure this by checking the desired radio button in the Options dialogue box.

Go To Codepoint

This option allows you to use either Hexadecimal or decimal values when searching for a Unicode character by codepoint (see Going to a Unicode Codepoint).

Check "Hexadecimal" to use hexadecimal codepoint values.

Check "Decimal" to use decimal codepoint values.

Magnification Level

This option allows you to set the magnification level used to display an enlarged pop-up image of a character when right-clicking on it (see Character Magnification). The following magnification levels, expressed in font point sizes, may be selected :

  • 36 Point
  • 72 Point
  • 108 Point
  • 144 Point

Note : All options are saved on exiting BabelMap, and will be used next time BabelMap is opened.


BabelMap Help : Displaying the About Box

Displaying the About Box

To display the "About BabelMap" dialogue box, select the "About..." menu item from the System Menu or press the F9 function key.

The System Menu may be opened by clicking on the BabelMap icon on the Title Bar, or by right-clicking anywhere on the Title Bar.


BabelMap Help : Closing BabelMap

Closing BabelMap

To close the BabelMap application, select the "Close" menu item from the System Menu, or press the Alt+F4 function key, or click on the "Close" button.